Одесса: 6°С (вода 8°С)
Киев: 2°С
Львов: -1°С

Тема: Гембель с .Net или всегда ли нужны все?

Ответить в теме
Показано с 1 по 6 из 6
  1. Вверх #1
    Ловец Снов Аватар для lexar
    Пол
    Мужской
    Сообщений
    11,535
    Репутация
    7269
    Записей в дневнике
    1

    Question Гембель с .Net или всегда ли нужны все?

    Когда-то написал прогу под FrameWork 1.1.
    Недавно получил сообщение,
    что она у одного юзера ругается.
    У юзера стоит FrameWork 2.0, но не стоит 1.1.

    Так что это получается, приложение не выполняется
    под FW более высокой версии?
    Т.е. будь добр, если хочешь что бы выполнялось все -
    ставь у себя все версии FrameWork?

    Или юзер чего напутал?


  2. Вверх #2
    Т.е. будь добр, если хочешь что бы выполнялось все -
    ставь у себя все версии FrameWork?
    Кажется да .

  3. Вверх #3
    Совершенно верно, у меня тож такое было: стояла 2 версия, а прога требовала 1.1... пока не поставил - не успокоилась.

  4. Вверх #4
    Постоялец форума Аватар для Пилигрим
    Пол
    Мужской
    Адрес
    Одесса
    Возраст
    31
    Сообщений
    1,215
    Репутация
    134
    Цитата Сообщение от lexar
    Когда-то написал прогу под FrameWork 1.1.
    Недавно получил сообщение,
    что она у одного юзера ругается.
    У юзера стоит FrameWork 2.0, но не стоит 1.1.

    Так что это получается, приложение не выполняется
    под FW более высокой версии?
    Т.е. будь добр, если хочешь что бы выполнялось все -
    ставь у себя все версии FrameWork?

    Или юзер чего напутал?
    хм... было дело писал я на C# в .NET 2003 - framework 1.1. После того как перелил ОС, 1.1-ый не ставил - поставил 2.0, запустил - работала (кажись .. а может я ее пересобрал был под 2005-ой ... домой приду посмотрю точно).
    З.Ы. А вообще фреймворк 2.0 не включает в себя полностью 1.1-ый (а вот 3.0 включает в себя 2.0)

  5. Вверх #5
    Постоялец форума Аватар для Яр
    Пол
    Мужской
    Адрес
    Odessa.Ua
    Возраст
    30
    Сообщений
    2,952
    Репутация
    148
    Приложение, написанное на 1.1. может выполняться в среде 2.0, если в нём не искользовались специфические классы, доступные только в 1.1.
    Однако оно по умолчанию хочет выполняться с той версией фреймворка, с которой оно компилировалось.
    Переопределить фреймворк, который нужно использовать можно в конфигурационном файле:

    Например:
    Код:
    <?xml version="1.0"?>
    <configuration>
    	<startup>
    		<supportedRuntime version="v2.0.50727" />	
    	</startup>
    </configuration>
    ps:
    это всё в конфигурационном файле приложения, т.е в файле с именем
    ИмяПриложения.exe.config
    который лежит в той же директории, где и приложение.
    Последний раз редактировалось Яр; 29.01.2007 в 11:45.
    ~ Motivation is what gets you started. Habit is what keeps you going.

  6. Вверх #6
    Ловец Снов Аватар для lexar
    Пол
    Мужской
    Сообщений
    11,535
    Репутация
    7269
    Записей в дневнике
    1
    Цитата Сообщение от Яр Посмотреть сообщение
    Приложение, написанное на 1.1. может выполняться в среде 2.0, если в нём не искользовались специфические классы, доступные только в 1.1.
    Однако оно по умолчанию хочет выполняться с той версией фреймворка, с которой оно компилировалось.
    Переопределить фреймворк, который нужно использовать можно в конфигурационном файле:
    Да-с, такой подход удобным для пользователя не назовешь.
    Где старые добрые времена, когда exe файл от черт-знает-какой
    версии Дос без проблем работал под всеми виндами?


Ответить в теме

Похожие темы

  1. Таирово.Net
    от -=GDS=- в разделе Интернет
    Ответов: 28
    Последнее сообщение: 29.08.2004, 15:56
  2. Windows .NET Release и Windows 2003 Server
    от Maks Nikitin в разделе Интернет :: технические вопросы
    Ответов: 0
    Последнее сообщение: 16.07.2004, 17:34
  3. Программинг под .net compact framework
    от Яр в разделе Программирование
    Ответов: 3
    Последнее сообщение: 14.06.2004, 02:19
  4. Ответов: 3
    Последнее сообщение: 01.03.2004, 09:27
  5. .NET Что за зверь?
    от Яр в разделе Программное обеспечение
    Ответов: 2
    Последнее сообщение: 31.01.2004, 14:40

Социальные закладки

Социальные закладки

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения